{{/* vim: set filetype=mustache: */}}
{{/*
Create env list.
*/}}
{{- define "mdr-reporting-job.env" }}
- name: AWS_REGION
  value: {{ .Values.global.awsRegion }}
- name: ENV_CATEGORY
  value: {{ .Values.global.envCategory }}
- name: ENV
  value: {{ .Values.global.env }}
- name: LOGGING_LEVEL
  value: {{ .Values.loggingLevel }}
- name: CDCA_ROLE_ARN
  value: {{ .Values.cdca.roleArn }}
- name: CDCA_DATABASE
  value: {{ .Values.cdca.database }}
- name: CDCA_QUERY_RESULT
  value: {{ .Values.cdca.queryResult }}
- name: ORG_DAILY_BUCKET
  valueFrom:
    configMapKeyRef:
      name: {{ .Values.mosaic2.dailyBucket }}
      key: bucketName
- name: ORG_MONTHLY_BUCKET
  valueFrom:
    configMapKeyRef:
      name: {{ .Values.mosaic2.monthlyBucket }}
      key: bucketName
- name: PROMETHEUS_PORT
  value: "9090"
- name: TIME_ZONE
  value: {{ .Values.global.timeZone }}
{{- end -}}